#pragma once

#include <stdarg.h>

enum print_level {
    KERN_EMERG,
    KERN_ALERT,
    KERN_CRIT,
    KERN_ERR,
    KERN_WARNING,
    KERN_NOTICE,
    KERN_INFO,
    KERN_DEBUG,
    KERN_DEFAULT,
    KERN_CONT
};

int kprintf(int level, const char *restrict format, ...);
int kvprintf(int level, const char *restrict format, va_list ap);